package com.zcxk.dao;

import com.zcxk.entity.DayReportEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description
 * @auto wangli
 * @data 2020/12/14 15:35
 */
@Mapper
public interface TestDataMapper {

    List<DayReportEntity> selectDeviceInfo(@Param("id") Long id);
    void batchInsertYearReport(@Param("year") Integer year, @Param("id")Long id);
    void batchInsertMonthReport(@Param("year") Integer year, @Param("month")Integer month, @Param("id")Long id);
}
